--- a/definitions.pro.inc
+++ b/definitions.pro.inc
@@ -41,8 +41,6 @@
 UNICORNPATH = $$ROOT_DIR/src/libUnicorn
 include( src/libUnicorn/unicorn.pro.inc )
 
-LIBS += -lMoose$$EXT
-
 # TODO: not sure if this is right now, should probably be determined on a per-plugin basis
 plugin:LIBS += -lLastFmTools$$EXT
 contains( TEMPLATE, app ):LIBS += -lLastFmTools$$EXT
--- a/src/libFingerprint/libFingerprint.pro
+++ b/src/libFingerprint/libFingerprint.pro
@@ -2,7 +2,7 @@
 VERSION = 1.0.0
 CONFIG += dll
 TARGET = LastFmFingerprint
-QT += xml network sql
+QT -= gui
 
 include( ../../definitions.pro.inc )
 
--- a/src/libUnicorn/CachedHttp.h
+++ b/src/libUnicorn/CachedHttp.h
@@ -26,7 +26,7 @@
 #include "UnicornDllExportMacro.h"
 
 #include <QDebug>
-#include <QHttp>
+#include <QtNetwork/QHttp>
 #include <QHash>
 #include <QStack>
 #include <QString>
--- a/src/libUnicorn/RedirectHttp.h
+++ b/src/libUnicorn/RedirectHttp.h
@@ -26,7 +26,7 @@
 #include "UnicornDllExportMacro.h"
 
 #include <QDebug>
-#include <QHttp>
+#include <QtNetwork/QHttp>
 #include <QString>
 #include <QHash>
 
--- a/src/libFingerprint/FingerprintCollector.cpp
+++ b/src/libFingerprint/FingerprintCollector.cpp
@@ -25,8 +25,6 @@
 #include "logger.h"
 #include "FingerprintExtractor.h"
 
-#include <QApplication>
-
 
 FingerprintCollector::FingerprintCollector( int numberOfThreads, QObject* parent )
                      : QObject( parent )
--- a/src/libUnicorn/WebService/Request.h
+++ b/src/libUnicorn/WebService/Request.h
@@ -31,7 +31,7 @@
 #include "WeightedStringList.h"
 
 #include <QTimer>
-#include <QHttpHeader>
+#include <QtNetwork/QHttpHeader>
 
 //TODO mxcl check error handling, since that was the point of all this
 //TODO escape query paramaeters in paths in get function
--- a/src/libUnicorn/Collection.h
+++ b/src/libUnicorn/Collection.h
@@ -31,7 +31,7 @@
 
 #include <QObject>
 #include <QMutex>
-#include <QSqlDatabase>
+#include <QtSql/QSqlDatabase>
 
 
 /** @author: <chris@last.fm> */
--- a/src/libFingerprint/FingerprintQueryer.cpp
+++ b/src/libFingerprint/FingerprintQueryer.cpp
@@ -26,8 +26,6 @@
 #include "logger.h"
 #include "FingerprintExtractor.h"
 
-#include <QApplication>
-
 
 FingerprintQueryer::FingerprintQueryer( QObject* parent ) :
     QObject( parent ),
--- a/src/src.pro
+++ b/src/src.pro
@@ -1,12 +1,14 @@
 TEMPLATE = app
 TARGET = Last.fm
-QT += gui network xml sql
+QT += gui network xml
 
 INCLUDEPATH += lib libFingerprint/recommendation-commons
 
 PRECOMPILED_HEADER = precompiled.h
 CONFIG += precompile_header
 
+LIBS += -lMoose$$EXT
+
 unix {
     # precompiled headers breaks icecream builds for some reason :(
     system( test `ps aux | grep iceccd | wc -l` -gt 1 ): CONFIG -= precompile_header
@@ -27,12 +29,9 @@
 
 include( ../definitions.pro.inc )
 
-# TODO remove
-INCLUDEPATH += $$ROOT_DIR/res/mad
-INCLUDEPATH += $$ROOT_DIR/src/libFingerprint/libs/fftw
-
 breakpad {
     LIBS += -lbreakpad$$EXT
+    LIBS += -lmad -lfftw3f
 }
 
 LIBS += -L$$BIN_DIR -lLastFmFingerprint$$EXT
@@ -210,8 +209,6 @@
     SOURCES += simplewizard_mac.cpp \
                winstyleoverrides.cpp
 
-    LIBS += -lmad -lfftw3f
-
     HEADERS -=  Bootstrapper/iTunesBootstrapper.h \
                 Bootstrapper/PluginBootstrapper.h
     
--- a/src/mediadevices/ipod/IpodDevice.h
+++ b/src/mediadevices/ipod/IpodDevice.h
@@ -22,7 +22,7 @@
 #define IPOD_DEVICE_H
 
 #include "TrackInfo.h"
-#include <QSqlDatabase>
+#include <QtSql/QSqlDatabase>
 
 typedef struct _Itdb_iTunesDB Itdb_iTunesDB;
 typedef struct _Itdb_Track Itdb_Track;
--- a/src/httpinput/httpinput.cpp
+++ b/src/httpinput/httpinput.cpp
@@ -21,8 +21,6 @@
 
 #include "httpinput.h"
 #include "logger.h"
-#include "WebService.h"
-#include "WebService/Request.h"
 #include "RadioEnums.h"
 
 #include "MooseCommon.h"
--- a/src/httpinput/httpinput.pro
+++ b/src/httpinput/httpinput.pro
@@ -1,7 +1,8 @@
 TEMPLATE = lib
 CONFIG += service
 TARGET = httpinput
-QT += network gui xml
+QT += network
+QT -= gui
 
 include( ../../definitions.pro.inc )
 
--- a/src/mediadevices/ipod/IpodDevice.cpp
+++ b/src/mediadevices/ipod/IpodDevice.cpp
@@ -24,12 +24,11 @@
 
 #include "logger.h"
 
-#include <QApplication>
 #include <QDateTime>
+#include <QFileInfo>
 #include <QSqlError>
 #include <QSqlQuery>
 #include <QtPlugin>
-#include <QFileDialog>
 #include <QSettings>
 
 extern "C"
--- a/src/mediadevices/ipod/ipod.pro
+++ b/src/mediadevices/ipod/ipod.pro
@@ -2,6 +2,7 @@
 CONFIG += service
 TARGET = Ipod_device
 QT += sql
+QT -= gui
 
 include( ../../../definitions.pro.inc )
 
--- a/src/transcode/mad/mad.pro
+++ b/src/transcode/mad/mad.pro
@@ -1,7 +1,7 @@
 TEMPLATE = lib
 CONFIG += service
 TARGET = madtranscode
-QT += gui xml network
+QT -= gui
 
 include( ../../../definitions.pro.inc )
 
--- a/src/output/alsa-playback/alsa-playback.pro
+++ b/src/output/alsa-playback/alsa-playback.pro
@@ -1,7 +1,7 @@
 TEMPLATE = lib
 TARGET = output_alsa
 CONFIG += service
-QT += gui xml network
+QT -= gui
 
 LIBS += -lasound
 QMAKE_CFLAGS_WARN_OFF = -w
@@ -9,5 +9,6 @@
 
 include( ../../../definitions.pro.inc )
 
+LIBS -= -lLastFmTools$$EXT
 HEADERS = alsaplayback.h alsaaudio.h xconvert.h
 SOURCES = alsaplayback.cpp alsaaudio.cpp xconvert.c
--- a/src/libMoose/libMoose.pro
+++ b/src/libMoose/libMoose.pro
@@ -2,7 +2,7 @@
 VERSION = 1.0.0
 CONFIG += dll
 TARGET = Moose
-QT += xml network gui
+QT += network gui
 
 include( ../../definitions.pro.inc )
 
--- a/src/output/RtAudio/RtAudio.pro
+++ b/src/output/RtAudio/RtAudio.pro
@@ -1,7 +1,7 @@
 TEMPLATE = lib
 CONFIG += service
 TARGET = rtaudioplayback
-QT += gui xml network
+QT -= gui
 
 include( ../../../definitions.pro.inc )
 
--- a/src/output/RtAudio/rtaudioplayback.cpp
+++ b/src/output/RtAudio/rtaudioplayback.cpp
@@ -19,7 +19,7 @@
  *   51 Franklin Steet, Fifth Floor, Boston, MA  02110-1301, USA.          *
  ***************************************************************************/
 
-#include <QtGui>
+#include <qplugin.h>
 
 #include "rtaudioplayback.h"
 #include "logger.h"
